Skip to content
CARP Docs
Ask AISystemLightDark

Get all

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor

Deprecated

This endpoint is deprecated. Do not use it in new code.
GET
/api/deployments/{deployment-id}/data-points
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

deployment-id*string
page?integer
Formatint32
query?string
sort?string

Response body

OK

*/*
  1. response
[index: integer]?
Example request
curl -X GET 'https://dev.carp.dk/api/deployments/string/data-points'
Example response
[  {    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedBy": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "id": 0,    "deploymentId": "string",    "carpHeader": {      "studyId": "string",      "userId": "string",      "dataFormat": {        "property1": null,        "property2": null      },      "triggerId": "string",      "deviceRoleName": "string",      "uploadTime": "2019-08-24T14:15:22Z",      "startTime": "2019-08-24T14:15:22Z",      "endTime": "2019-08-24T14:15:22Z"    },    "carpBody": {      "property1": null,      "property2": null    },    "storageName": "string"  }]

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture